2018-08-07  Aidan Kehoe  <kehoea@parhasard.net>

	* Makefile (VERSION): XEmacs package 1.42 released.

2014-09-08  Norbert Koch  <viteno@xemacs.org>

	* Makefile (VERSION): XEmacs package 1.41 released.

2014-08-04  Jerry James  <james@xemacs.org>

	* cal-compat.el (cal-assoc-string): Remove, since assoc-string is
	now available in xemacs-base.
	* cal-bahai.el (mark-bahai-diary-entries): Use assoc-string
	instead of cal-assoc-string.
	* cal-coptic.el (coptic-prompt-for-date): Ditto.
	* cal-french.el (calendar-goto-french-date): Ditto.
	* cal-hebrew.el (calendar-goto-hebrew-date): Ditto.
	(mark-hebrew-diary-entries): Ditto.
	(list-yahrzeit-dates): Ditto.
	* cal-islam.el (calendar-goto-islamic-date): Ditto.
	(mark-islamic-diary-entries): Ditto.
	* cal-julian.el (calendar-goto-julian-date): Ditto.
	* cal-mayan.el (calendar-read-mayan-haab-date): Ditto.
	(calendar-read-mayan-tzolkin-date): Ditto.
	* calendar.el (calendar-read-date): Ditto.
	* diary-lib.el (mark-diary-entries): Ditto.

2014-05-15  Norbert Koch  <viteno@xemacs.org>

	* Makefile (VERSION): XEmacs package 1.40 released.

2014-05-15  Norbert Koch  <viteno@xemacs.org>

	* Makefile (VERSION): XEmacs package 1.39 released.

2014-05-13  Jerry James  <james@xemacs.org>

	* .cvsignore: Remove.
	* .hgignore: New file.

2014-05-06  Jerry James  <james@xemacs.org>

	* Makefile (REQUIRES): Add fsf-compat for button.el.
	* cal-compat.el (make-button): Removed, now in button.el.
	(insert-button): Ditto.
	* diary-lib: Uncomment define-button-type form.
	(diary-goto-entry): Revert to upstream use of button functions.

2008-09-29  Norbert Koch  <viteno@xemacs.org>

	* Makefile (VERSION): XEmacs package 1.38 released.

2008-09-27  Jeff Miller  <jmiller@cablespeed.com>

	* appt.el (appt-delete): use substring, not substring-no-properties
	* cal-compat.el (cal-fit-window-to-buffer): forgot to call
	cal-fit-window-to-buffer in case where fit-window-to-buffer is
	available. It is in 21.5.28 now.

2008-07-14  Norbert Koch  <viteno@xemacs.org>

	* Makefile (VERSION): XEmacs package 1.37 released.

2007-12-24  Aidan Kehoe  <kehoea@parhasard.net>

	* cal-french.el (french-calendar-accents):
	Diacritical marks are always available under XEmacs. 

2008-04-07  Norbert Koch  <viteno@xemacs.org>

	* Makefile (VERSION): XEmacs package 1.36 released.

2008-04-05  Jeff Miller  <jmiller@cablespeed.com>

	* calendar.el (calendar-mode): call font-lock-set-defaults to
	  set font-locking variables.  
	* diary-lib.el (diary-mode): same
	* diary-lib.el (fancy-diary-display-mode): same

2008-03-29  Norbert Koch  <viteno@xemacs.org>

	* Makefile (VERSION): XEmacs package 1.35 released.

2008-03-27  Jeff Miller  <jmiller@cablespeed.com>

	* calendar.el (diary): fix bold weight in defface
	* calendar.el (calendar-mode-hook): fix indentation
	* calendar.el (european-calendar-style): fix indentation
	* calendar.el (diary-display-hook): fix indentation
	* diary-lib.el (diary-anniversary): fix bold weight in defface
	* diary-lib.el (diary-time): fix bold weight in defface

2007-09-21  Norbert Koch  <viteno@xemacs.org>

	* Makefile (VERSION): XEmacs package 1.34 released.

2007-09-21  Adrian Aichner  <adrian@xemacs.org>

	* timeclock.el (timeclock-find-discrep): Fix my mis-typing of
	`line-number' (thanks for pointing this out, John Paul
	Wallington).

2007-09-21  Adrian Aichner  <adrian@xemacs.org>

	* timeclock.el (timeclock-read-moment): Report current
	`line-number' in case of error.
	* timeclock.el (timeclock-log-data): Remove tracking of line
	number (which currently fails to track time balance entries)
	instead of making the tracking ever more complicated. Simply
	obtain current `line-number' in case of error.
	* timeclock.el (timeclock-find-discrep): Ditto.

2007-07-11  Norbert Koch  <viteno@xemacs.org>

	* Makefile (VERSION): XEmacs package 1.33 released.

2007-07-10  Jeff Miller  <jeff.miller@xemacs.org>

	* cal-coptic.el (coptic-prompt-for-date): fix typo
	(cal-assoc-ignore -> cal-assoc-string) 
	* cal-dst.el, cal-html.el,
	cal-tex.el, icalendar.el: indentation fixes.

	* calendar.el: added autoload for calendar-goto-bahai-date
	* diary-lib.el (diary-mode): use make-hook-local to really make
	after-save-hook buffer local

2007-04-16  Norbert Koch  <viteno@xemacs.org>

	* Makefile (VERSION): XEmacs package 1.32 released.

2007-04-14  Jeff Miller  <jeff.miller@xemacs.org>

	* cal-html.el (cal-html-comment): replace call to 
	replace-regexp-in-string with replace-in-string
	* cal-html.el (cal-html-year-dir-ask-user): Account for difference in 
	read-directory-name between XEmacs & Emacs
	* cal-html.el (cal-html-htmlify-string): replace call to 
	replace-regexp-in-string with equivalent workaround
	* all: update copyrights to 2007

2007-03-27  Glenn Morris  <rgm@gnu.org>

        * calendar/calendar.el (calendar-mode-hook): Declare it.

        * calendar/diary-lib.el (diary-live-p): Do not check for
        diary-selective-display.

2007-03-21  Ulf Jasper  <ulf.jasper@web.de>

        * calendar/icalendar.el (icalendar-version): Increase to 0.15.
        (icalendar--get-unfolded-buffer): Define actual arguments rather
        than just using &rest.  Check replace-in-string is fbound.
        (icalendar-import-buffer): Doc fix.
        (icalendar--convert-ical-to-diary): Set diary-file.
        Check diary-file before inserting final newline.
        (icalendar--add-diary-entry): Return diary-file.

2007-03-21  Glenn Morris  <rgm@gnu.org>

        * calendar/calendar.el (diary-set-maybe-redraw): Autoload it.
        (diary-display-hook): Add custom :set function.

        * calendar/diary-lib.el (diary-header-line-flag): Doc fix.
        Add custom :set function.
        (diary-header-line-format): Doc fix.
        (diary-set-maybe-redraw): New function.
        (number-of-diary-entries): Change :set to use diary-set-maybe-redraw.
        (diary-list-entries): Always run diary-mode.

2007-03-20  Glenn Morris  <rgm@gnu.org>

        * calendar/diary-lib.el (diary-live-p): New function.
        (number-of-diary-entries): Add a :set function to redisplay diary
        when necessary.

2007-03-12  Glenn Morris  <rgm@gnu.org>

        * calendar/cal-china.el,cal-dst.el,calendar.el,diary-lib.el:
        * calendar/lunar.el,solar.el: Replace "daylight savings" with
        "daylight saving" in text.	

2007-01-28  Norbert Koch  <viteno@xemacs.org>

	* Makefile (VERSION): XEmacs package 1.31 released.

2007-01-23  Jeff Miller  <jeff.miller@xemacs.org>

        * icalendar.el (icalendar--rris): Fixed improper argument usage
	for replace-string.
        * ChangeLog: restores Adrian Aichner original ChangeLog dates.

2007-01-08  Juanma Barranquero  <lekktu@gmail.com>

        * calendar/icalendar.el (icalendar-import-buffer):Fix typo in
	docstring.
        
2006-12-24  Kevin Ryde  <user42@zip.com.au>

        * calendar/cal-dst.el (calendar-dst-starts): Default to second
	Sunday in March.
        (calendar-dst-ends): Default to first Sunday in November.

2006-12-23  Chong Yidong  <cyd@stupidchicken.com>

        * calendar/calendar.el (calendar-mode-map): Switch < and >.
        (calendar-mode-line-format): Use mouse-1 bindings, and tweak
        formatting.

2006-12-17  Ulf Jasper  <ulf.jasper@web.de>

        * calendar/icalendar.el (icalendar-version): Increase to "0.14".
        (icalendar--rris): First try Emacs, then XEmacs.
        (icalendar--convert-ical-to-diary): Doc fix.  Insert
        newline at end of target file.

2006-11-23  Norbert Koch  <viteno@xemacs.org>

	* Makefile (VERSION): XEmacs package 1.30 released.

2006-10-16  Adrian Aichner  <adrian@xemacs.org>

        * timeclock.el: Typo fixes.
        * timeclock.el (timeclock-history): New.
        * timeclock.el (timeclock-use-history): New.
        * timeclock.el (timeclock-log): Honor timeclock-use-history.
        * timeclock.el (timeclock-read-moment): Provide error on
        unexpected data in timeclock-file, going unnoticed until now.
        * timeclock.el (timeclock-find-discrep): Report line number of
        discrepancy to ease manual fixing.

2006-08-01  Adrian Aichner  <adrian@xemacs.org>

	* timeclock.el: Keep timeclock-file buffer around, so that an
	encrypted timeclock-file does not have to be opened on each
	clocking operation (requiring entry of encryption key).
	* timeclock.el (timeclock-get-timeclock-file-buffer): New.
	* timeclock.el (timeclock-log): Don't kill timeclock-file buffer.
	* timeclock.el (timeclock-log-data): Use
	`timeclock-get-timeclock-file-buffer', which avoids reading
	timeclock-file, if it's already in a live buffer.
	* timeclock.el (timeclock-find-discrep): Ditto.
	* timeclock.el (timeclock-visit-timelog): Ditto.

2006-11-20  Norbert Koch  <viteno@xemacs.org>

	* Makefile (VERSION): XEmacs package 1.29 released.

2006-11-18  Jeff Miller  <jeff.miller@xemacs.org>

	* cal-compat.el (make-mode-line-mouse-map): Removed.
	* cal-compat.el (cal-make-mode-line-mouse-map): Renamed.  Using
	the original name caused Gnus to think it was runnng under Emacs
	and it attempted to use a face XEmacs does not define.
	* calendar.el (calendar-mode-line-format): use the renamed function

2006-11-14  Norbert Koch  <viteno@xemacs.org>

	* Makefile (VERSION): XEmacs package 1.28 released.

2006-11-11  Jeff Miller  <jeff.miller@xemacs.org>

        * calendar/cal-dst.el: Do not assume DST starts/ends on the same
        date in every year.
        (calendar-dst-check-each-year-flag): New customizable variable.
        (calendar-dst-find-data): New function, extracted from
        calendar-current-time-zone.
        (calendar-current-time-zone): Use calendar-dst-find-data.
        (calendar-dst-transition-cache): New variable.
        (calendar-dst-find-startend, calendar-dst-starts)
        (calendar-dst-ends): New functions.
        (calendar-daylight-savings-starts)
        (calendar-daylight-savings-ends): Change value to use
        calendar-dst-starts, calendar-dst-ends; respectively.

        * calendar/calendar.el (cal-html-cursor-month)
        (cal-html-cursor-year): Add autoloads for this new package.
        (calendar-mode-map): Bind cal-html-cursor-month,
        cal-html-cursor-year.

        * calendar/cal-html.el: New file.

        * calendar/calendar.el (european-calendar-style): Call
        european-calendar or american-calendar as needed when set.
        (diary-view-entries, list-calendar-holidays): Move autoloads
        before use.

2006-10-31  Norbert Koch  <viteno@xemacs.org>

	* Makefile (VERSION): XEmacs package 1.27 released.

2006-10-22  Jeff Miller  <jeff.miller@xemacs.org>

	More Emacs CVS syncs, from the Emacs Changelog:
	
	* calendar/diary-lib.el (diary-bahai-date)
	(list-bahai-diary-entries, mark-bahai-diary-entries)
	(mark-bahai-calendar-date-pattern): Not interactive.
	(add-to-diary-list): New optional arg LITERAL.  Doc fix.
	(diary-entries-list): Change format of 4th element in each entry.
	(diary-list-entries): Use add-to-diary-list.
	(diary-goto-entry): Handle the case where the buffer visiting the
	diary has been killed.
	(fancy-diary-display): Add 'locator to button rather than 'marker.
	Only generate temp-face when there are marks to apply.
	(list-sexp-diary-entries): Pass literal to add-to-diary-list.
	(diary-fancy-date-pattern): New variable.
	(diary-time-regexp): Doc fix.
	(diary-anniversary, diary-time): New faces.
	(fancy-diary-font-lock-keywords): Use diary-fancy-date-pattern and
	diary-time-regexp.  Add font-lock-multiline property where needed.
	Use new faces diary-anniversary and diary-time.
	(diary-fancy-font-lock-fontify-region-function): New function, to
	handle multiline font-lock pattern in fancy diary.
	(fancy-diary-display-mode): Set font-lock-fontify-region-function.
	(diary-font-lock-keywords): Tweak time regexp.  Use new face
	diary-time.

	* calendar/cal-menu.el (calendar-mode-map, calendar-mouse-3-map):
	* calendar/calendar.el (calendar-mode-map):
	* calendar/diary-lib.el (include-other-diary-files,diary-mail-entries):
	* calendar/appt.el (appt-check, appt-make-list): Refer to
	diary-view-entries, diary-list-entries, diary-show-all-entries
	rather than obsolete aliases.

	* calendar/calendar.el (diary-show-all-entries): Do not refer to
	obsolete alias `show-all-diary-entries'.
	(make-diary-entry): Not interactive.
	(cal-tex-cursor-month, cal-tex-cursor-month-landscape)
	(cal-tex-cursor-day, cal-tex-cursor-week, cal-tex-cursor-week2)
	(cal-tex-cursor-week-iso, cal-tex-cursor-week-monday)
	(cal-tex-cursor-filofax-2week, cal-tex-cursor-filofax-week)
	(cal-tex-cursor-year-landscape, cal-tex-cursor-filofax-year)
	(cal-tex-cursor-filofax-daily, cal-tex-cursor-year): Interactive.

	* calendar/calendar.el (calendar-french-date-string)
	(calendar-mayan-date-string, calendar-chinese-date-string)
	(calendar-astro-date-string, calendar-iso-date-string)
	(calendar-islamic-date-string, calendar-bahai-date-string)
	(calendar-hebrew-date-string, calendar-coptic-date-string)
	(calendar-ethiopic-date-string, calendar-persian-date-string):
	These functions are not interactive.

	* calendar/calendar.el (calendar-basic-setup): Set day to 1 in
	prefix arg case, to avoid view-diary-entries-initially error.
	Reported by Stephen Berman <Stephen.Berman at gmx.net>.
	(calendar-date-is-legal-p): Handle dates with no day part.

	* calendar/cal-menu.el (calendar-mode-map): Refer to
	`diary-view-entries' rather than alias `view-diary-entries'.
	* calendar/diary-lib.el (view-other-diary-entries): Ditto.

	* calendar/appt.el (appt-add): Check whether an appointment is
	already present in appt-time-msg-list.  Simplify code.

	* calendar/calendar.el (calendar-holidays): Doc fix.
	* calendar/holidays.el (list-holidays): Doc fix.

	* calendar/calendar.el (calendar-holidays): Doc fix.

	* calendar/appt.el (diary-selective-display): Add defvar.

	* calendar/icalendar.el (icalendar--get-event-property)
	(icalendar--get-event-property-attributes): Fix typos in
	docstrings.

	* calendar/cal-menu.el: Avoid macros from calendar.el so as to break
	the nastiest part of the cyclic dependency.
	(cal-menu-update): Use dotimes and calendar-increment-month.

	* calendar/calendar.el: Remove unnecessary leading stars in docstrings.
	(calendar-week-start-day): Add an :initializer.
	(calendar-mode-map): Use suppress-keymap, and command remapping.
	(describe-calendar-mode): Setup xref-stack info for the back button.
	(calendar-star-date): Insert before delete.
	(calendar-set-mode-line): Add file-modified info if applicable.
	(calendar-increment-month): New function.


	* calendar/diary-lib.el (diary-list-entries): Also hide the
	terminating newline.

	* calendar/diary-lib.el (diary-list-entries, diary-show-all-entries)
	(mark-diary-entries, make-diary-entry): Check default-major-mode rather
	than fundamental-mode to see if the mode was set.

	* calendar/cal-menu.el (date, event): Don't declare as dynamic-var.
	(calendar-mouse-holidays, calendar-mouse-view-diary-entries)
	(calendar-mouse-print-dates): Add optional `event' argument.
	Update interactive-spec.
	(calendar-mouse-cal-tex-menu, cal-tex-mouse-filofax):
	Use `calendar-event-to-date' instead of `event'.

	* calendar/diary-lib.el (diary-list-entries): Prevent infloop when
	diary does not end in a newline.  Do not assume a blank line at
	the start of the diary file.

	* calendar/icalendar.el (icalendar-version): Increase to 0.13.
	Now a string.
	(icalendar-import-format): Handle CLASS, STATUS, URL.
	Rename `subject' to `summary'.
	(icalendar-import-format-summary): Rename from
	`icalendar-import-format-subject'.
	(icalendar-import-format-url, icalendar-import-format-status)
	(icalendar-import-format-class): New variables.
	(icalendar--rris): Take variable argument list.
	(icalendar--datestring-to-isodate): Remove unnecessary
	calendar-style check when converting dates with explicit month names.
	(icalendar-export-region): Change return type of conversion
	subroutines.  Bury current buffer unless error occurred.
	(icalendar--convert-to-ical)
	(icalendar--parse-summary-and-rest): New functions.
	(icalendar--convert-ordinary-to-ical)
	(icalendar--convert-weekly-to-ical)
	(icalendar--convert-yearly-to-ical)
	(icalendar--convert-block-to-ical)
	(icalendar--convert-cyclic-to-ical)
	(icalendar--convert-anniversary-to-ical): Change return type.
	Strip trailing blanks from subject.
	(icalendar--convert-sexp-to-ical): Change return type.
	Strip trailing blanks from subject.  Handle simple sexp
	entries as generated by icalendar.el.
	(icalendar--convert-float-to-ical)
	(icalendar--convert-date-to-ical): Strip trailing blanks from subject.
	(icalendar-import-file): Doc fix.
	(icalendar--format-ical-event): Handle CLASS, STATUS, URL.
	Correct call to icalendar--rris.
	(icalendar--convert-ical-to-diary): Doc fix.  Rename `subject' to
	`summary'.
	(icalendar--add-diary-entry): Rename `subject' to `summary'.

	* calendar/appt.el (appt-check): Use diary-selective-display var.

	* calendar/cal-menu.el (calendar-mouse-view-diary-entries):
	Use the new `list-only' arg to diary-list-entries.

	* calendar/diary-lib.el: Use overlays rather than selective-display.
	(diary-selective-display): New var.
	(diary-header-line-format): Use it.
	(diary-list-entries): Add argument `list-only'.
	Put the buffer in diary-mode.  Don't add \^M at beg and end.
	Replace \^M by invisible overlays.
	(diary-unhide-everything): Replace \^M by invisible overlays.
	(print-diary-entries): Look for overlays rather than \^M.
	Add a space to the temp buffer name.
	(diary-show-all-entries, mark-diary-entries, make-diary-entry):
	Put the buffer in diary-mode.
	(list-sexp-diary-entries): Replace \^M by invisible overlays.
	(diary-anniversary): Make the year arg optional.
	(diary-time-regexp): New const.
	(diary-font-lock-keywords): Use it to accept a few more time formats.

	* calendar/appt.el (appt-time-regexp): New var.
	(appt-add, appt-make-list): Use it.
	(appt-convert-time): Clean up.

	* calendar/timeclock.el (timeclock-ask-for-project):
	Follow convention for reading with the minibuffer.

	* calendar/calendar.el (mark-visible-calendar-date): Save excursion.
	Re-indent within 80 columns.  Use inhibit-read-only.

	* calendar/diary-lib.el (mark-diary-entries): Rearrange to wrap
	with-current-buffer form in save-excursion.
	* calendar/timeclock.el (timeclock-status-string)
	(timeclock-workday-remaining-string, timeclock-workday-elapsed-string)
	(timeclock-when-to-leave-string):
	* calendar/icalendar.el (icalendar--convert-ical-to-diary):
	Fix `message' calls to ensure first arg is a format string.

	* calendar/cal-bahai.el (date, displayed-month, displayed-year)
	(number, original-date):
	* calendar/cal-china.el (date):
	* calendar/cal-coptic.el (date):
	* calendar/cal-french.el (date):
	* calendar/cal-hebrew.el (date, entry, number, original-date):
	* calendar/cal-islam.el (date, number, original-date):
	* calendar/cal-iso.el (date):
	* calendar/cal-julian.el (date):
	* calendar/cal-mayan.el (date):
	* calendar/cal-menu.el (date, event):
	* calendar/cal-persia.el (date):
	* calendar/lunar.el (date):
	* calendar/solar.el (date): Add defvars.

	* calendar/diary-lib.el (diary-modify-entry-list-string-function):
	New hook.
	(add-to-diary-list): Call `diary-modify-entry-list-string-function'

	* calendar/calendar.el (calendar-mode-map): Bind < and > usefully.

	* calendar/calendar.el (calendar-goto-hebrew-date)
	(calendar-goto-coptic-date, calendar-goto-ethiopic-date)
	(calendar-goto-persian-date):
	Delete duplicate duplicate words.

	* calendar/icalendar.el (icalendar--get-unfolded-buffer):

	* calendar/diary-lib.el (diary-header-line-format):
	Change space constants followed by a sexp to "?\s ".

	* calendar/diary-lib.el (diary-button): Remove "-face" suffix from
	face name.
	(diary-button-face): New backward-compatibility alias for renamed face.
	(diary-entry): Use renamed diary-button face.

	* calendar/calendar.el (diary, calendar-today, holiday)
	(mark-visible-calendar-date): Remove "-face" suffix from face names.
	(diary-face, calendar-today-face, holiday-face):
	New backward-compatibility aliases for renamed faces.
	(eval-after-load "facemenu", diary-entry-marker)
	(calendar-today-marker, calendar-holiday-marker, diary-face):
	Use renamed calendar faces.


	* calendar/diary-lib.el (mark-included-diary-files): Only kill
	included diary buffer if it was not already being visited.
	Reported by Stephen Berman <Stephen.Berman@gmx.net>.

	* calendar/icalendar.el (top-level): Do not require appt.

	* calendar/todo-mode.el (todo-mode):
	Use kill-all-local-variables and run-mode-hooks.

	* calendar/cal-menu.el (cal-menu-update): Add separator as a
	string so that tmm doesn't create a completion entry for it.


	Replace `string-to-int' by `string-to-number'.

	* calendar/appt.el (appt-convert-time):
	* calendar/cal-bahai.el (mark-bahai-diary-entries):
	* calendar/cal-hebrew.el (mark-hebrew-diary-entries):
	* calendar/cal-islam.el (mark-islamic-diary-entries):
	* calendar/calendar.el (calendar-cursor-to-date)
	(calendar-star-date):
	* calendar/diary-lib.el (diary-attrtype-convert)
	(mark-diary-entries, diary-entry-time):
	* calendar/solar.el (solar-get-number):

	* calendar/solar.el (solar-data-list): Move definition up.

	* calendar/cal-bahai.el (mark-bahai-diary-entries):

	* calendar/icalendar.el (icalendar-version): Now at 0.12.
	(icalendar-duration-correction): Remove.
	(icalendar--get-event-properties): Split result at commas.
	(icalendar--decode-isoduration): New optional argument
	DURATION-CORRECTION.
	(icalendar--convert-ordinary-to-ical, icalendar--convert-sexp-to-ical)
	(icalendar--convert-yearly-to-ical, icalendar--convert-weekly-to-ical)
	(icalendar--convert-block-to-ical, icalendar--convert-float-to-ical)
	(icalendar--convert-date-to-ical, icalendar--convert-cyclic-to-ical)
	(icalendar--convert-anniversary-to-ical): New functions, extracted
	from icalendar-export-region, with bug fixes.
	(icalendar-export-region): Use the above functions.
	(icalendar-import-buffer): Check before saving diary file.
	(icalendar--convert-recurring-to-diary)
	(icalendar--convert-non-recurring-all-day-to-diary)
	(icalendar--convert-non-recurring-not-all-day-to-diary): New functions,
	extracted from icalendar--convert-ical-to-diary, with bug fixes.
	(icalendar--convert-ical-to-diary): Use the above functions.
	* calendar/calendar.el (diary-face): Add special case for
	displays supporting a high number of colors.

	* calendar/diary-lib.el (add-to-diary-list): MARKER argument made
	optional, to ensure backward compatibility.

	* calendar/timeclock.el (timeclock): Doc fix.

	* calendar/cal-china.el: Update reference to "Calendrical
	Calculations" book; there's a new edition.
	* calendar/cal-coptic.el: Likewise.
	* calendar/cal-french.el: Likewise.
	* calendar/cal-hebrew.el: Likewise.
	* calendar/cal-islam.el: Likewise.
	* calendar/cal-iso.el: Likewise.
	* calendar/cal-julian.el: Likewise.
	* calendar/cal-mayan.el: Likewise.
	* calendar/cal-persia.el: Likewise.
	* calendar/calendar.el: Likewise.
	* calendar/holidays.el: Likewise.
	* calendar/lunar.el: Likewise.
	* calendar/solar.el: Likewise.

	* calendar/calendar.el (calendar-day-abbrev-array): Remove trailing
	white space from doc string.

	* calendar/cal-x.el (calendar-one-frame-setup)
	(calendar-only-one-frame-setup, calendar-two-frame-setup): Use t
	rather than `symbol' for set-window-dedicated-p.

	* calendar/appt.el (appt-buffer-name): Make it a constant.
	(appt-add): Doc fix.

	* calendar/cal-menu.el (top level): Delete local C-down-mouse-3
	binding.  Suggested by Stephan Stahl <stahl@eos.franken.de>.

	* calendar/cal-move.el (calendar-beginning-of-year): Move the
	cursor to Jan 1 when needed.
	(calendar-end-of-year): Fix -/+ typo.
	Reported by Chong Yidong <cyd@stupidchicken.com>.

	* calendar/calendar.el: Replace `legal' with `valid'.

	* calendar/diary-lib.el (mark-diary-entries): Use new optional
	argument REDRAW rather than calendar-redrawing variable.
	* calendar/calendar.el (calendar-redrawing): Delete.
	(redraw-calendar): Do not bind calendar-redrawing.

	* calendar/diary-lib.el (diary-redraw-calendar): Preserve point in
	diary-file buffer.

	* calendar/calendar.el (calendar-redrawing): New internal
	variable.
	(redraw-calendar): Remove bogus save-excursion from previous
	change.  Bind calendar-redrawing to t for mark-diary-entries.
	* calendar/diary-lib.el (mark-diary-entries): No need to redraw
	calendar if that is why we were called.

	* calendar/calendar.el (redraw-calendar): Preserve point.
	Reported by Matt Hodges <MPHodges@member.fsf.org>.
	(calendar-week-start-day): Move after definition of
	redraw-calendar.  Delete buffer test, since redraw-calendar has
	that now.

	* calendar/diary-lib.el (mark-diary-entries): Only call
	redraw-calendar in the first of any recursive calls.
	Reported by Alan Shutko <ats@acm.org>.

	* calendar/icalendar.el (icalendar-version): Increase to 0.11.
	(icalendar-export-file, icalendar-export-region)
	(icalendar-import-file, icalendar-import-buffer): Add autoload cookies.
	(icalendar--convert-ical-to-diary): Fix problem with DURATION.

	* calendar/calendar.el (redraw-calendar): Work from any buffer,
	not just the calendar.

	* calendar/diary-lib.el (mark-diary-entries): Remove any old marks
	first.
	(diary-redraw-calendar): New function.
	(make-diary-entry): Add diary-redraw-calendar to local
	write-contents-functions.  Turn off selective display before
	inserting in diary.

	* calendar/diary-lib.el (diary-remind): Discard any mark portion
	from diary-entry.  Reported by Andrew Kemp <ajwk@pell.uklinux.net>.

	* calendar/calendar.el (calendar-buffer): Move above
	calendar-week-start-day.
	(calendar-week-start-day): Doc fix.  Add :set function.
	(calendar-minimum-window-height): New variable.
	(generate-calendar-window): Only resize window if selected-window
	is displaying the calendar buffer.  Use new variable
	calendar-minimum-window-height.
	(generate-calendar): Reword error message.
	(calendar-mode-map): Bind DEL to scroll-other-window-down.

	* calendar/icalendar.el (icalendar--decode-isodatetime):
	New optional argument DAY-SHIFT.
	(icalendar-export-region): Fix coding-system-for-write.

	(icalendar--convert-ical-to-diary): Shift end-day of all-day
	events by one.

	* calendar/appt.el (appt-time-msg-list): 3rd elt of each
	appointment says it was explicitly made.
	(appt-add): Set the 3rd element.
	(appt-make-list): Preserve explicit appointments.

	* calendar/icalendar.el (icalendar--get-event-property): Doc fix.
	(icalendar--get-event-property-attributes)
	(icalendar--get-event-properties)
	(icalendar--datetime-to-diary-date): New functions.
	(icalendar--split-value): Doc fix.
	(icalendar--datetime-to-noneuropean-date)
	(icalendar--datetime-to-european-date): New optional argument
	SEPARATOR.  Return result as a string instead of a list.
	(icalendar--get-weekday-number): Check if ABBREVWEEKDAY is nil.
	(icalendar--convert-string-for-export): Rename arg S to STRING.
	(icalendar-export-region): Doc fix.  Change name of error buffer.
	Save output buffer.
	(icalendar-import-file): Add blank at end of prompt.
	(icalendar-import-buffer): Doc fix.  Do not switch to error
	buffer.  Indicate status in return value.
	(icalendar--convert-ical-to-diary): Doc fix.  Change name of error
	buffer.  Save output buffer.  Handle exception from recurrence
	rules (EXDATE, EXRULE).  Handle start- and end-date of recurring
	events.  Fix problems with weekly all-day events.

	* calendar/diary-lib.el (mark-diary-entries):
	Set mark-diary-entries-in-calendar only after checking for diary-file.

	* calendar/calendar.el (view-other-diary-entries): Add autoload.
	* calendar/diary-lib.el (view-other-diary-entries):
	Use current-prefix-arg in interactive spec.

	* calendar/holidays.el (holiday-easter-etc): Make arguments
	optional for backwards compatibility.  Doc fix.
	Remove un-necessary local vars mandatory, output-list.
	(holiday-advent): Make arguments optional for backwards
	compatibility.  Doc fix.

	* calendar/diary-lib.el (diary-from-outlook)
	(diary-from-outlook-gnus, diary-from-outlook-rmail): Do not use
	interactive-p; but rather new optional argument NOCONFIRM.

	* calendar/icalendar.el (icalendar-version): Increase to 0.08.
	(icalendar--split-value): Change name of work buffer.
	(icalendar--get-weekday-abbrev): Return nil on error.
	(icalendar--date-to-isodate): New function.
	(icalendar-convert-diary-to-ical)
	(icalendar-extract-ical-from-buffer): Use only two args for
	make-obsolete (XEmacs compatibility).
	(icalendar-export-file, icalendar-import-file): Blank at end of prompt.
	(icalendar-export-region): Doc fix.
	If error, return non-nil and write errors to a buffer.
	Use correct weekday for weekly recurring events.
	Check whether date has been parsed for ordinary events.
	Make weekly events start in the year 2000.
	DTEND is non-inclusive, shift end date by one day if
	necessary (not for entries that have date and time).
	Rename local let variables: oops -> found-error, datestring ->
	startdatestring.

	* calendar/icalendar.el (icalendar--weekday-array): New constant.
	(icalendar-weekdayabbrev-table)
	(icalendar-monthnumber-table): Delete.
	(icalendar--get-month-number): Use calendar-month-name-array.
	(icalendar--get-weekday-number): New function.
	(icalendar--get-weekday-abbrev) Use calendar-day-name-array.
	(icalendar-export-region): Handle multi-line entries.
	(icalendar--convert-ical-to-diary): Use calendar-day-name-array.

	* calendar/icalendar.el: Set coding to utf-8.
	(icalendar-version): Increase to 0.07.
	(icalendar-monthnumber-table): Change March pattern.
	(icalendar-get-all-event-properties)
	(icalendar-set-event-property): Delete.
	(icalendar-all-events): No longer interactive.
	(icalendar-convert-diary-to-ical)
	(icalendar-extract-ical-from-buffer): Make obsolete, and alias to
	their replacements.
	(icalendar-export-file, icalendar-export-region): New functions;
	essentially old `icalendar-convert-diary-to-ical' but appending to
	target rather than overwriting.
	(icalendar-import-file): Append to target file rather than
	overwriting.  Fourth arg deleted.
	(icalendar-import-buffer): New name for old
	`icalendar-extract-ical-from-buffer'.
	(icalendar--convert-string-for-import): New name for
	old `icalendar-convert-for-import'.
	(include-icalendar-files): Delete.
	Prefix for all internal functions changed from `icalendar-'
	to `icalendar--'.

	* calendar/icalendar.el: New file.

	* calendar/calendar.el (calendar-goto-iso-week): Add autoload.
	(calendar-mode-map): Add binding for `calendar-goto-iso-week'.
	* calendar/cal-menu.el (calendar-mode-map): Ditto.

	* calendar/cal-iso.el (calendar-iso-read-args): New function,
	for old interactive spec from calendar-goto-iso-date.
	(calendar-goto-iso-date): Use it.
	(calendar-goto-iso-week): New function.  Suggested by Emilio
	C. Lopes <eclig@gmx.net>.

	* calendar/diary-lib.el (list-diary-entries): Save diary buffer
	from diary display excursion.  Store diary buffer's point for
	`simple-diary-display'.
	(simple-diary-display): Set window point and start when
	displaying buffer, to preserve point.

	* calendar/holidays.el (holiday-advent): Report on a specified day
	offset from advent, not just advent.
	(holiday-easter-etc): Report on one specified day offset from
	easter, not all easter holidays.  Various Easter holidays moved to
	`christian-holidays' variable in calendar.el.
	* calendar/calendar.el (christian-holidays): Adapt for new
	behavior of `holiday-advent' and `holiday-easter-etc' functions.

	* calendar/cal-dst.el (calendar-time-from-absolute): Return a list
	of two integers, instead of a cons.

	* calendar/appt.el (appt-disp-window):
	Use `calendar-set-mode-line' for a centered mode-line.

	* calendar/appt.el (appt-disp-window): Do not split window
	excessively when `split-height-threshold' is low.

	* calendar/cal-bahai.el: New file, which adds support for the
	Baha'i calendar to Emacs.  This calendar is based on a solar year
	of 19 months of 19 days, with 4 intercalary days.  Each year
	begins on March 21, with the calendar starting in 1844.

	* calendar/cal-menu.el, calendar/calendar.el
	* calendar/diary-lib.el, calendar/holidays.el:
	Added support for using cal-bahai.el.

	* calendar/diary-lib.el (diary-outlook-formats): New variable.
	(diary-from-outlook-internal, diary-from-outlook)
	(diary-from-outlook-gnus, diary-from-outlook-rmail):
	New functions to import diary entries from Outlook-format
	appointments in mail messages.

	Use `time-less-p' from calendar/time-date.el instead of defining
	custom versions of it.

	* calendar/timeclock.el (timeclock-time-less-p): Remove.
	(timeclock-generate-report): Use `time-less-p'.

	* calendar/diary-lib.el (diary-mode, fancy-diary-display-mode):
	Derive from fundamental-mode rather than text-mode.

	* calendar/timeclock.el (timeclock-relative)
	(timeclock-get-project-function, timeclock-get-workday-function)
	(timeclock-query-out, timeclock-when-to-leave)
	(timeclock-when-to-leave-string, timeclock-log-data)
	(timeclock-generate-report, timeclock-in): Doc fixes.

	* calendar/appt.el (appt-check): Remove superfluous progn.
	When finished with diary buffer: if it was not being displayed
	before, kill it; otherwise restore its original state.
	Suggested by Matthew Mundell <matt@mundell.ukfsn.org>.

	* calendar/calendar.el (calendar-set-mode-line): Use total
	available mode-line width, rather than frame-width.

	* calendar/diary-lib.el (fancy-diary-display): Set mode-line
	after mode change so effect not lost.

	* calendar/calendar.el (generate-calendar)
	(calendar-read-date): Prevent display of BC calendars once more -
	reverts 2003-10-01 change.
	(generate-calendar-month): Doc fix.

	* calendar/appt.el (appt-display-format): Change default to
	'ignore, for backwards compatibility.
	(appt-display-message): If appt-display-format is 'ignore,
	respect old vars appt-msg-window and appt-visible.
	(appt-activate): Don't depend on return value of cancel-timer.

	* calendar/calendar.el (calendar-holidays): Doc fix.

	* calendar/appt.el (appt-check): Restore usage of
	appt-issue-message deleted in previous change.
	(top-level): Activate package when loaded (needed for backwards
	compatibility).

	* calendar/diary-lib.el (diary-entry-time): Fix typo/bug:
	Remove spurious left square bracket in XX:XXam regexp.

	* calendar/appt.el: Update copyright and commentary.
	(appt-issue-message): Make obsolete.
	(appt-visible, appt-msg-window): Make obsolete, in favor of
	appt-display-format.
	(appt-display-mode-line, appt-display-duration)
	(appt-display-diary, appt-time-msg-list, appt-mode-string)
	(appt-prev-comp-time, appt-display-count, appt-timer)
	(appt-convert-time): Doc change.
	(appt-disp-window-function, appt-delete-window-function):
	Use defcustom rather than defvar.
	(appt-display-format): New variable.
	(appt-display-message): New function with display code from appt-check.
	(appt-check): Add optional FORCE argument.  Doc change.
	Add appt-make-list to diary-hook if displaying diary.
	Remove checking of view-diary-entries-initially.
	Message display section removed to new function appt-display-message.
	(appt-display-window): Doc change.  Remove unused internal var
	this-buffer.  Do not beep, since appt-display-message does that.
	(appt-make-list): Doc change.  Use caar.
	(appt-sort-list): Simplify by using builtin sort function.
	(appt-update-list): New function for updating appts when diary is
	saved.
	(appt-activate): New autoloaded function to toggle package
	functionality.

	* calendar/cal-x.el: (calendar-one-frame-setup)
	(calendar-only-one-frame-setup, calendar-two-frame-setup): Doc change.

	* calendar/calendar.el: Update copyright.
	(view-diary-entries-initially, european-calendar-style): Doc change.
	(calendar-setup): Make defcustom rather than defvar.
	(mark-visible-calendar-date): Initialize temp-face and faceinfo
	in let binding so local to function.

	* calendar/diary-lib.el: Update copyright.
	(diary, diary-entry-time): Doc change.
	(list-diary-entries): Doc change.  Trivial logic change.
	(fancy-diary-display): Restore make-face command mistakenly
	deleted 2003-05-08.
	(show-all-diary-entries): Allow to pop-up frame if needed.

	* calendar/diary-lib.el (diary-entry-time):
	Also accept time in the form XX[.XX][am/pm/AM/PM].
	(fancy-diary-font-lock-keywords): Likewise.
	(diary-font-lock-keywords): Likewise.
	* calendar/appt.el (appt-add): Likewise.
	(appt-make-list): Likewise.
	(appt-convert-time): Likewise.

	* calendar/calendar.el (increment-calendar-month)
	(calendar-leap-year-p, calendar-absolute-from-gregorian)
	(generate-calendar, calendar-read-date, calendar-interval)
	(calendar-day-of-week): Handle years BC.
	(generate-calendar-month, calendar-gregorian-from-absolute): Doc fix.

	* calendar/diary-lib.el (diary-header-line-flag)
	(diary-header-line-format): New variables.
	(list-diary-entries): Use them to set header line in simple diary.

	* calendar/diary-lib.el (simple-diary-display, make-diary-entry):
	Allow the diary to pop up a new frame, if needed.

	* calendar/calendar.el (calendar-make-alist): Correct off-by-one
	keeping December out of the alist.

	* calendar/cal-move.el (calendar-goto-day-of-year): New function.
	* calendar/calendar.el (calendar-mode-map): Bind it to key.
	* calendar/cal-menu.el (calendar-mode-map): Add it to menu.
	(calendar-flatten): New function.
	(calendar-mouse-view-other-diary-entries)
	(calendar-mouse-view-diary-entries): Rewritten to put any holidays
	in the menu title and to show multi-line diary entries correctly
	in the menu.

	* calendar/calendar.el (list-diary-entries-hook)
	(diary-display-hook, nongregorian-diary-listing-hook)
	(mark-diary-entries-hook, nongregorian-diary-marking-hook):
	Add some customize options for these hooks.
	(calendar-abbrev-construct): Don't try to take a substring longer
	than the original string.

	* calendar/calendar.el (diary-file, diary-file-name-prefix)
	(european-calendar-style, diary-date-forms)
	(calendar-day-name-array, calendar-month-name-array): Doc change.
	(generate-calendar-month): Adapt for new behavior of
	`calendar-day-name' function.
	(calendar-abbrev-length, calendar-day-abbrev-array)
	(calendar-month-abbrev-array): New variables.
	(calendar-abbrev-construct): New function.
	(calendar-day-name, calendar-month-name): Use new abbrev arrays,
	rather than fixing abbrevs at some width.  Calling syntax change.
	(calendar-make-alist): Use abbrev arrays.  Calling syntax change.
	(calendar-date-string): Adapt for new behaviors of
	`calendar-day-name' and `calendar-month-name' functions.

	* calendar/diary-lib.el (list-diary-entries): Adapt for new
	behavior of `calendar-day-name' and `calendar-month-name' functions.
	(diary-name-pattern): Use abbrev arrays, rather than fixing
	abbrevs at three chars.  Calling syntax change.
	(mark-diary-entries): Adapt for new behaviors of
	`diary-name-pattern' and `calendar-make-alist' functions.
	(fancy-diary-font-lock-keywords): Adapt for new behavior of
	`diary-name-pattern' function.
	(font-lock-diary-date-forms): Use abbrev arrays, rather than
	fixing abbrevs at three chars.  Calling syntax change.
	(cal-hebrew, cal-islam): Require when compiling.
	(diary-font-lock-keywords): Adapt for new behavior of
	`font-lock-diary-date-forms' function.

	* calendar/cal-hebrew.el: Reposition some code so defined before used.
	(calendar-hebrew-month-name-array-common-year)
	(calendar-hebrew-month-name-array-leap-year): Add doc strings.
	(list-hebrew-diary-entries): Adapt for new behaviors of
	`calendar-day-name' and `add-to-diary-list' functions.
	(mark-hebrew-diary-entries): Adapt for new behaviors of
	`diary-name-pattern' and `calendar-make-alist' functions.

	* calendar/cal-islam.el (calendar-islamic-month-name-array):
	Add doc string.
	(list-islamic-diary-entries): Adapt for new behaviors of
	`calendar-day-name' and `add-to-diary-list' functions.
	(mark-islamic-diary-entries): Adapt for new behaviors of
	`diary-name-pattern' and `calendar-make-alist' functions.

	* calendar/cal-menu.el (cal-menu-update): Adapt for new behavior of
	`calendar-month-name' function.

	* calendar/cal-coptic.el (coptic-name): defvar rather than defconst.

	* calendar/solar.el (solar-seasons-data): Move definition before use.

	* calendar/cal-tex.el (cal-tex-day-name-format): Doc fix.
	(cal-tex-LaTeX-hourbox): Move definition before use.

	* calendar/cal-china.el, cal-hebrew.el, cal-islam.el
	* cal-julian.el, cal-menu.el, cal-move.el, holidays.el
	* lunar.el, solar.el (displayed-month, displayed-year):
	Define for compiler.

	* calendar/timeclock.el (timeclock-relative)
	(timeclock-ask-before-exiting, timeclock-use-display-time):
	Doc changes.
	(timeclock-modeline-display): Give a message if
	`timeclock-use-display-time' is non-nil but `display-time-mode'
	is not active.

	* calendar/timeclock.el (timeclock-use-display-time)
	(timeclock-day-over-hook, timeclock-workday-remaining)
	(timeclock-status-string, timeclock-when-to-leave)
	(timeclock-when-to-leave-string, timeclock-log-data)
	(timeclock-find-discrep, timeclock-day-base)
	(timeclock-generate-report, timeclock-visit-timelog): Doc fix.
	(timeclock-modeline-display): Set the variable
	`timeclock-modeline-display'.
	(timeclock-update-modeline): Doc fix.  Respect value of
	`timeclock-relative'.

	* calendar/diary-lib.el (diary-check-diary-file): New function.
	(diary, view-diary-entries, show-all-diary-entries)
	(mark-diary-entries): Use it.
	(view-other-diary-entries): Doc fix.  Use `prefix-numeric-value'.
	(diary-syntax-table, diary-attrtype-convert, diary-mail-days): Doc fix.
	(diary-modified, d-file): No need to defvar (for compiler).
	(list-diary-entries): No need for `let*' so use `let'.
	(simple-diary-display): Use `diary-file' directly rather than
	inheriting `d-file' from `list-diary-entries' caller.
	(make-fancy-diary-buffer, show-all-diary-entries):
	`mode-line-format' already buffer-local.
	(diary-mail-addr): Set to the empty string (rather than nil) if
	undefined, as per `user-mail-address'.
	(diary-mail-entries): Doc fix.  Error if `diary-mail-address' unset.
	(mark-sexp-diary-entries): Don't regexp-quote sexp-mark twice.
	Remove an un-needed `if'.
	(list-sexp-diary-entries): Remove local vars mark and s-entry, and
	use `let' rather than `let*'.
	(diary-date, insert-monthly-diary-entry)
	(insert-yearly-diary-entry, insert-anniversary-diary-entry)
	(insert-block-diary-entry, insert-cyclic-diary-entry)
	(font-lock-diary-date-forms): No need for `let*' so use `let'.
	(make-diary-entry): Doc fix.  Use `or' rather than `if'.
	(diary-font-lock-keywords): Use `when'.  `cal-islam' is required
	feature, not `cal-islamic'.
	`calendar-islamic-month-name-array-leap-year' does not exist - use
	`calendar-islamic-month-name-array'.

	* calendar/timeclock.el (display-time-hook)
	(timeclock-modeline-display): Define for byte-compiler.
	(timeclock-time-to-date, timeclock-workday-remaining)
	(timeclock-time-to-seconds, timeclock-seconds-to-time):
	Move earlier in the file so defined before used.
	(timeclock-status-string): No need for `let*' so use `let'.
	(timeclock-query-out): Always return a non-nil value.

	* calendar/timeclock.el: Update copyright.
	(timeclock-ask-before-exiting): Put `timeclock-query-out' on
	`kill-emacs-query-functions' rather than `kill-emacs-hook'.
	(timeclock-mode-string): Doc fix.
	(timeclock-modeline-display): Doc fix.  Use `global-mode-string'
	rather than `mode-line-format'.
	(timeclock-query-out): Doc fix.
	(timeclock-update-modeline): No need for `let*', so use `let'.
	Add some help-echo text to `timeclock-mode-string'.
	(timeclock-mode-string): Give it the risky-local-variable
	property, so that help-echo text will display.
	(timeclock-find-discrep): Set `accum' to 0 if
	`timeclock-discrepancy' is nil.

	(diary-mail-entries): There is no fancy-diary-buffer if there are
	no diary entries.  Use call-interactively.

	* calendar/diary-lib.el (diary-pull-attrs): Make `ret-attr',
	`attr' local.
	(list-diary-entries): Make `temp' local.
	(fancy-diary-display): Make `marks', `temp-face', `faceinfo' local.
	(mark-diary-entries): Make `temp' local.
	(mark-sexp-diary-entries): Make `marks' local, remove `temp'.
	(list-sexp-diary-entries): Make `temp' local.
	(add-to-diary-list): Make `prefix' local.

	* calendar/diary-lib.el (fancy-diary-display-mode): Bind "q" to
	`quit-window' in the fancy diary buffer.

	Face markup of calendar and diary displays: Any entry line that
	ends with [foo:value] where foo is a face attribute (except :box
	:stipple) or with [face:blah] tags, will have these values applied
	to the calendar and fancy diary displays. These attributes "stack"
	on calendar displays.  File-wide attributes can be defined as
	follows: the first line matching "^# [tag:value]" defines the
	value for that particular tag.  All of the tags' regexps can be
	customized.

	* calendar/calendar.el (diary-face-attrs): New custom.
	(diary-file-name-prefix-function): New custom.
	(diary-glob-file-regexp-prefix): New custom.
	(diary-file-name-prefix): New custom.
	(generate-calendar-window): Check that font-lock-mode is bound
	before checking value.
	(mark-visible-calendar-date): Add the ability to pass face
	attribute/value pairs in the mark argument.  Handle the mark.

	* calendar/diary-lib.el (diary-attrtype-convert): Convert an
	attribute value string to the desired type.
	(diary-pull-attrs): New function that pulls the attributes off a
	diary entry, merges with file-global attributes, and returns
	the (possibly modified) entry and a list of attribute/values using
	diary-attrtype-convert.
	(list-diary-entries, fancy-diary-display, show-all-diary-entries)
	(mark-diary-entries, mark-sexp-diary-entries)
	(list-sexp-diary-entries): Add handling of file-global attributes;
	add handling of entry attributes using diary-pull-attrs.
	(mark-calendar-days-named, mark-calendar-days-named)
	(mark-calendar-date-pattern, mark-calendar-month)
	(add-to-diary-list): Add optional paramater `color' for passing
	face attribute info through the callchain.  Pass this parameter around.

	* calendar/calendar.el (calendar-only-one-frame-setup): Autoload it.

	* calendar/calendar.el (calendar-day-name): Move defn down.

	* calendar/calendar.el (facemenu-unlisted-faces): Only update
	after facemenu is loaded.
	(calendar-font-lock-keywords): Accept non-ASCII month names.
	Use regexp-opt.

	* calendar/solar.el (solar-atn2): Give correct quadrant for arctan.

	* calendar/diary-lib.el (fancy-diary-font-lock-keywords):
	Grok month numbers, too.

	* calendar/diary-lib.el (list-diary-entries): Pass a marker
	indicating source of entry to add-to-diary-list.
	(list-sexp-diary-entries): Pass a marker indicating source of
	entry to add-to-diary-list.
	(diary-date): Return mark as well as entry.
	(add-to-diary-list): Add new marker argument, appended to
	diary-entries-list.
	(diary-mode, fancy-diary-display-mode): New derived modes, for
	diary file and fancy diary buffer respectively.
	(fancy-diary-font-lock-keywords, diary-font-lock-keywords): New
	variables.
	(font-lock-diary-sexps, font-lock-diary-date-forms): New
	functions, used in diary-font-lock-keywords.
	* calendar/calendar.el (diary-face): New.
	(calendar-mode): Set up font-lock mode, using new variable
	calendar-font-lock-keywords.
	(generate-calendar-window): Fontify if font-lock-mode is on.
	(calendar-font-lock-keywords): New variable.

	* calendar/diary-lib.el 
	(diary-button-face, diary-entry, diary-goto-entry): New, to
	support click to diary file.
	(fancy-diary-display): Buttonize diary entries.  Use new mode
	fancy-diary-display-mode.

2006-08-21  Norbert Koch  <viteno@xemacs.org>

	* Makefile (VERSION): XEmacs package 1.26 released.

2006-08-18  Jeff Miller  <jeff.miller@xemacs.org>

	Further syncs with Emacs CVS 

	* calendar/timeclock.el (timeclock-modeline-display): Use assq as
	well as memq to find `global-mode-string' within
	`mode-line-format'.  The structure of that variable has changed in
	21.3.

	* calendar/diary-lib.el (diary-mail-entries): Don't overwrite
	user's value of diary-list-include-blanks, but generate message
	instead if there are no entries.

	* calendar/diary-lib.el (diary-mail-entries):
	(diary-modified, diary-entries-list, displayed-year)
	(displayed-month, entry, date, number, date-string, d-file)
	(original-date): Defvar without binding to avoid compiler warnings.
	* calendar/diary-lib.el (diary-mail-entries): Use `compose-mail'
	and `mail-user-agent' instead of straight sendmail.

	* calendar/solar.el (diary-sabbath-candles): Add optional MARK
	parameter, specifying what face or character to use in the
	calendar display.  These will now return (MARK . ENTRY).

	* calendar/lunar.el (diary-phases-of-moon): Add optional MARK
	parameter, specifying what face or character to use in the
	calendar display.  These will now return (MARK . ENTRY).

	* calendar/cal-hebrew.el (diary-omer, diary-yahrzeit)
	(diary-rosh-hodesh, diary-parasha, diary-parasha): Add optional
	MARK parameter, specifying what face or character to use in the
	calendar display.  These will now return (MARK . ENTRY).

	* calendar/diary-lib.el (mark-sexp-diary-entries): Retrieve mark
	from diary-sexp-entry and pass it to mark-visible-calendar-date.
	(list-sexp-diary-entries): Update doc string for new docs for ....
	If diary-sexp-entry returns a cons, only add the text to the diary
	list.
	(diary-sexp-entry): Allow sexps to return a cons of the form (MARK
	. STRING) to specify what face or character mark should be used in
	the calendar display.
	(diary-date, diary-block, diary-float, diary-anniversary)
	(diary-cyclic): Add optional MARK parameter, specifying what face
	or character to use in the calendar display.  These will now
	return (MARK . ENTRY).

	* calendar/diary-lib.el (check-calendar-holidays, diary-iso-date)
	(calendar-holiday-list, diary-french-date, diary-mayan-date)
	(diary-julian-date, diary-astro-day-number, diary-chinese-date)
	(diary-islamic-date, list-islamic-diary-entries)
	(mark-islamic-diary-entries, mark-islamic-calendar-date-pattern)
	(diary-hebrew-date, diary-omer, diary-yahrzeit, diary-parasha)
	(diary-rosh-hodesh, list-hebrew-diary-entries)
	(mark-hebrew-diary-entries, mark-hebrew-calendar-date-pattern)
	(diary-coptic-date, diary-persian-date, diary-phases-of-moon)
	(diary-sunrise-sunset, diary-sabbath-candles):
	Remove interactive flag from autoloads.

	* calendar/timeclock.el (timeclock-in): Handle the case where no
	log file exists (ie the very first call).

	* diary-lib.el (include-other-diary-files): Allow modifying
	included buffer, to turn off selective display.


2006-08-14  Norbert Koch  <viteno@xemacs.org>

	* Makefile (VERSION): XEmacs package 1.25 released.

2006-08-02  Jeff Miller  <jeff.miller@xemacs.org>

	Synching with Emacs CVS

	* calendar/solar.el (solar-northern-spring-or-summer-season): Doc fix.

	* solar.el (solar-spring-or-summer-season): Delete.
	(solar-northern-spring-or-summer-season): New variable.
	(solar-sunrise-and-sunset, solar-moment, solar-sunrise-sunset):
	Rewrite.

	* solar.el (diary-sabbath-candles-minutes): New variable.
	(diary-sabbath-candles): Use it instead of fixed 18 minutes.

	* calendar.el (update-calendar-mode-line): Force mode-line update.
	Make date under the cursor available as `date' in
	calendar-mode-line-format.
	Eval items in calendar-mode-line-format list.
	* cal-tex.el (cal-tex-hook, cal-tex-year-hook, cal-tex-month-hook)
	(cal-tex-week-hook, cal-tex-daily-hook): Add doc strings.

	* cal-tex.el (cal-tex-latexify-list): Fix doc string.

	* cal-tex.el (cal-tex-insert-day-names): LaTeXify day names.
	(cal-tex-cursor-week-iso, cal-tex-week-hours, cal-tex-weekly4-box)
	(cal-tex-cursor-filofax-2week, cal-tex-cursor-filofax-week)
	(cal-tex-daily-page, cal-tex-mini-calendar): LaTeXify day names.

	* cal-tex.el: Change all instances (interactive "P") to
	(interactive "p").
	(cal-tex-cursor-month): Add hfill and newline at end of month that
	ended on Saturday.
	(cal-tex-preamble): Change to LaTeX2e.
	(cal-tex-cursor-filofax-year): Don't use default month names in
	LaTeX macros in case user changes them.
	(cal-tex-month-name): New function.  Used throughout in case user
	has done something funny with month names.

	* cal-hebrew.el (holiday-rosh-hashanah-etc): Spelling correction.
	(diary-rosh-hodesh): Spelling correction.

	* calendar/diary-lib.el (list-diary-entries): Use `buffer-substring'
	instead of `buffer-substring-no-properties' to support enriched mode.

	* calendar/cal-menu.el (calendar-mode-map): Change the menu item's
	name to "Insert Diary Entry".

	* updated "Diary" menu entries to match Emacs

	* calendar/calendar.el (generate-calendar-month): Doc fix.

	* calendar/calendar.el (generate-calendar-month): Doc fix.

	* calendar/diary-lib.el (diary-block): Doc fix.

	* calendar/appt.el (appt-disp-window): Use insert instead of
        insert-string.

	* calendar/diary-lib.el (list-diary-entries): Likewise.


2006-08-02  Jeff Miller  <jeff.miller@xemacs.org>

	* cal-xemacs.el (calendar-mouse-print-dates): Add menu entry for
	  Fixed (RD) date.

2006-08-01  Jeff Miller  <jeff.miller@xemacs.org>

	* Makefile (REQUIRES): remove ibuffer from REQUIRES
	* calendar.el: add cal-fit-window-to-buffer
	* calendar.el (generate-calendar-window): use it

2006-07-31  Steve Youngs  <steve@sxemacs.org>

	* Makefile (REQUIRES): Remove fsf-compat.

	* timeclock.el (timeclock-cancel-timer): In XEmacs this is
	`delete-itimer', in GNU/Emacs it is `cancel-timer'.
	(timeclock-modeline-display): Use it.

2006-07-30  Jeff Miller  <jeff.miller@xemacs.org>

	    Add some 21.4 syncs I missed earlier
	
	* cal-menu.el (calendar-mouse-view-other-diary-entries): Fix name
	of file in header of menu.  Showed name of diary file, not
	other diary file.   Fixed typo in "from". 
	* lunar.el: really do the checkin 

2006-07-30  Jeff Miller  <jeff.miller@xemacs.org>

	* Makefile (REQUIRES): added ibuffer & fsf-compat
	* Makefile (ELCS): added timelock.elc & todo-mode.elc
	* appt.el: Synced with Emacs 21.4
	* cal-china.el: Synced with Emacs 21.4
	* cal-coptic.el: Synced with Emacs 21.4
	* cal-dst.el: Synced with Emacs 21.4
	* cal-french.el: Synced with Emacs 21.4
	* cal-hebrew.el: Synced with Emacs 21.4
	* cal-islam.el: Synced with Emacs 21.4
	* cal-iso.el: Synced with Emacs 21.4
	* cal-julian.el: Synced with Emacs 21.4
	* cal-mayan.el: Synced with Emacs 21.4
	* cal-move.el: Synced with Emacs 21.4
	* cal-persia.el: Synced with Emacs 21.4
	* cal-tex.el: Synced with Emacs 21.4
	* cal-x.el: Synced with Emacs 21.4
	* cal-xemacs.el: Synced with Emacs 21.4
	* calendar.el: Synced with Emacs 21.4
	* diary-lib.el: Synced with Emacs 21.4
	* holidays.el: Synced with Emacs 21.4
	* lunar.el: Synced with Emacs 21.4
	* solar.el:  Synced with Emacs 21.4
	* todo-mode.el: New file
	* timeclock.el: New file
	* package-info.in:  add timeclock & todo-mode to "provides"

2006-07-27  Norbert Koch  <viteno@xemacs.org>

	* Makefile (VERSION): XEmacs package 1.24 released.

2006-07-25	Jeff Miller <jeff.miller@xemacs.org>

	* Updated (MAINTAINER) in Makefile.

2004-01-27  Norbert Koch  <viteno@xemacs.org>

	* Makefile (VERSION): XEmacs package 1.23 released.

2004-01-26  Jerry James  <james@xemacs.org>

	* appt.el (appt-check): Fix parenthesizing error.

2003-10-31  Norbert Koch  <viteno@xemacs.org>

	* Makefile (VERSION): XEmacs package 1.22 released.

2003-08-28  Norbert Koch  <viteno@xemacs.org>

	* Makefile (VERSION): XEmacs package 1.21 released.

2003-08-28  Steve Youngs  <youngs@xemacs.org>

	* calendar.el (calendar-mode-map): Bind backspace to
	`scroll-other-window-down'.

2003-08-19  Norbert Koch  <viteno@xemacs.org>

	* Makefile (VERSION): XEmacs package 1.20 released.

2003-08-12  David A. Panariti  <davep.xemacs@meduseld.net>

	* appt.el - Changes to support included diaries.
	(appt-make-list-hook): Added hook var to support
	included diaries.
	(appt-diary-entries): Added optional parameter to control clearing
	of `appt-time-msg-list', which was moved here from `appt-make-list'.
	(appt-included-diary-entries): Added to support included diaries.
	(appt-initialize): Remove nil'ing of `appt-time-msg-list'.
	(appt-make-list): Calls `appt-make-list-hook'.

2003-03-09  Ben Wing  <ben@xemacs.org>

	* Makefile:
	Delete explicit compile:: and binkit: rules.
	Don't add custom-load.elc to the list of generated elc's.
	Include Local.rules.inc at the beginning for access to
	BUILD_WITHOUT_MULE, and put the include of XEmacs.rules at the
	end.

2002-11-29  Ben Wing  <ben@xemacs.org>

	* .cvsignore: Remove files now handled automatically by CVS.
	* Makefile: Use `compile' instead of hard-coded `all'.

2002-10-15  Ville Skyttä  <scop@xemacs.org>

	* Makefile (srckit): Remove.

2002-09-26  Rendhalver [Peter Brown]  <rendhalver@xemacs.org>

	* Makefile (VERSION): XEmacs package 1.19 released.

2002-09-25  A. Guru  <a.guru@sympatico.ca>

	* solar.el (solar-equinoxes-solstices): Fix off by one day bug
	affecting eastern US autumnal equinox this year.

2001-12-22  Steve Youngs  <youngs@xemacs.org>

	* package-info.in (provides): Update.

2001-12-13  David A. Panariti  <davep@who.net>

	* appt.el (appt-check): Added call to appt-diary-entries when
          rolling over to the next day.

2001-12-10  David A Panariti  <davep@who.net>

	* appt.el (appt-frame-announce): Make the buffer visible in the frame 
	and make the frame visible.

2000-09-12 Jeff Miller <jmiller@cablespeed.com>

	* cal-xemacs.el (calendar-goto-menu): Change "Coptoc" -> "Coptic".

2000-05-23  Karl M. Hegbloom  <karlheg@debian.org>

	* Makefile: Use BUILD_WITHOUT_MULE rather than BUILD_MULE.

1999-12-13  Jeff Miller  <jmiller@smart.net>

	This info is pulled from the Emacs 20.4/5 lisp/ChangeLog

	* cal-dst.el: update Synched with to 20.4/5, no other change
	  cal-iso.el: ditto
	  holidays.el: ditto
	  lunar.el:   ditto
	  solar.el:   ditto

	* calendar.el (redraw-calendar): Move to nearest date before
	redrawing.

	* diary-lib.el (list-diary-entries): Make sure two-digit years
	have leading zeros.

	* diary-lib.el (simple-diary-display): Reset modeline even if
	there are no diary entries since the diary buffer may be displayed.

	* calendar/cal-x.el (special-display-buffer-names):
	Don't put (get-file-buffer diary-file) on this list.

        * cal-x.el (calendar-only-one-frame-setup): New function.
        * calendar.el (calendar): Call it if requested.

	* calendar/calendar.el (calendar-mode-map): Fix bindings for
        appt-add and appt-delete.

	* cal-x.el (diary-frame-parameters, calendar-frame-parameters,
        calendar-and-diary-frame-parameters):  Add title parameter.

        * calendar/calendar.el (calendar-day-name-array): Add doc string.
        (calendar-month-name-array): Add doc string.

        * cal-china.el (chinese-year-cache): Change range of years from
        1989-2000 to 1990-2010.

        * calendar/cal-tex.el (cal-tex-cursor-filofax-daily): Don't use oddp.

        * appt.el (appt-max-time): Renamed from max-time.

	* calendar/diary-lib.el (mark-diary-entries): Use
        assoc-ignore-case and do not capitalize when matching month and
        day names.
        * calendar/calendar.el (calendar-read-date): Ditto.
        * calendar/cal-hebrew.el (calendar-goto-hebrew-date)
        (mark-hebrew-diary-entries, list-yahrzeit-dates): Ditto.
        * calendar/cal-coptic.el (coptic-prompt-for-date): Ditto.
        * calendar/cal-french.el (calendar-goto-french-date): Ditto.
        * calendar/cal-islam.el (calendar-goto-islamic-date)
        (mark-islamic-diary-entries): Ditto.
        * calendar/cal-julian.el (calendar-goto-julian-date): Ditto.
        * calendar/cal-mayan.el (calendar-read-mayan-haab-date)
        (calendar-read-mayan-tzolkin-date): Ditto.
        * calendar/cal-persia.el (persian-prompt-for-date): Ditto.

	* calendar/cal-move.el (scroll-calendar-left): Don't set
        displayed-month and displayed-year here, let generate-calendar do
        it, after range checking.

        * calendar/diary-lib.el (mark-sexp-diary-entries): Avoid infinite
        loop when sexp entry ends at end of file with no newline.
        * diary-lib.el (diary-float): Fix end-of-year error and typos in
        comments.
        * diary-lib.el (diary-remind): Rewritten to behave sensibly for
        diary-block diary entries for which the reminders and the diary
        entries can overlap.

1999-11-11  Andreas Jaeger  <aj@suse.de>

	* calendar.el (calendar-string-spread): Check that string-width is
	available to make test working without Mule.
	Patch by Barry A. Warsaw <bwarsaw@cnri.reston.va.us>.

1999-06-24  SL Baur  <steve@miho.m17n.org>

	* appt.el (appt-add): Autoload.
	(appt-delete): Ditto.

1999-06-14  SL Baur  <steve@steve1.m17n.org>

	* calendar.el (calendar-day-name): Day names can be 1 character.
	(calendar-month-name): Ditto.
	(calendar-english-day-name-array): Rename.
	(calendar-day-name-array): Make the default.
	(calendar-english-month-name-array): Rename.
	(calendar-month-name-array): Make the default.
	(calendar-english-year-name): New function.
	(calendar-year-name-function): Use it.
	(calendar-year-name): New function.
	(generate-calendar-month): Use it.
	(calendar-string-spread): Use Mule-aware functions so as not to
	lose with wide characters.

	* cal-japanese.el: New file.  Implement Japanese-style calendars.

1999-02-08  Charles G Waldman  <cgw@pgt.com>

	* calendar.el:  (holidays) add autoload cookie

1998-09-01  Jeff Miller  <jmiller@smart.net>

	* appt.el: further synching with Emacs 20.3
	* cal-xemacs.el: Menu updates
			 Synched with Emacs 20.3

	* cal-french.el: Comments Updates
		         Synched with Emacs 20.3

	* cal-x.el: Updated FSF address in comments
                    Synched with Emacs 20.3

	* diary-lib.el: Updated FSF address in comments
	                Comments Updates
			(diary-mail-entries): new function
                        Synched with Emacs 20.3

	* cal-tex.el (cal-tex-list-holidays): updated
	             (cal-tex-cursor-filofax-daily): new function
                     Synched with Emacs 20.3

	* cal-persia.el: Comments Updates
                         Synched with Emacs 20.3

	* cal-mayan.el: Updated FSF address in comments
	                Comments Updates
                        Synched with Emacs 20.3

	* cal-move.el: Comments Updates
                       Synched with Emacs 20.3

	* cal-julian.el: Comments Updates
                         Synched with Emacs 20.3

	* cal-iso.el: Comments Updates
                      Synched with Emacs 20.3

	* cal-islam.el: Comments Updates
                        Synched with Emacs 20.3

	* cal-hebrew.el: Comments Updates
                         Synched with Emacs 20.3

	* cal-dst.el: Updated FSF address in comments
		      Comments Updates
                      Synched with Emacs 20.3

	* cal-coptic.el: Comments Updates
                         Synched with Emacs 20.3

	* cal-china.el: Comments updates
		Synched with Emacs 20.3

	* holidays.el: Updated FSF address in comments
		       Other comments updates.
		       Synched with Emacs 20.3

	* lunar.el: Updated FSF address in comments
		    Comments Updates
		    Synched with Emacs 20.3

	* solar.el: Updated FSF address in comments
		    Comments updates
		    Synched with Emacs 20.3

1998-07-20  SL Baur  <steve@altair.xemacs.org>

	* diary-ins.el: Removed zero length file.

1998-06-19  Jeff Miller  <jmiller@smart.net>

	* Makefile: updated .elc targets.

	* cal-china.el: new, synched with Emacs 20.2
	* cal-coptic.el: new, synched with Emacs 20.2
	* cal-persia.el: new, synched with Emacs 20.2
	* cal-tex.el: new, synched with Emacs 20.2

	* cal-hebrew.el: new file, old functions, synched with Emacs 20.2
	* cal-islam.el: new file, old functions, synched with Emacs 20.2
	* cal-iso.el: new file, old functions, synched with Emacs 20.2
	* cal-julian.el: new file, old functions, synched with Emacs 20.2
	* cal-move.el: new file, old functions, synched with Emacs 20.2

	* appt.el: some synching with Emacs 20.2, minor bug fixes.

	* cal-x.el: synched with Emacs 20.2 (mostly)
	* cal-xemacs.el: synched with cal-menu.el in Emacs 20.2
	* calendar.el: synched with Emacs 20.2 (mostly)

	* cal-dst.el: synched with Emacs 20.2
	* cal-mayan.el: synched with Emacs 20.2
	* diary-lib.el: synched with Emacs 20.2
	* holidays.el: synched with Emacs 20.2
	* lunar.el: synched with Emacs 20.2
	* solar.el: synched with Emacs 20.2

	* cal-french.el: no change

	* diary-ins.el: removed, obsolete. Functions moved to various
                        cal-xxx files.
1998-01-25  SL Baur  <steve@altair.xemacs.org>

	* Makefile (VERSION): Update to package standard 1.0.
	* package-info.in: Ditto.

1998-01-03  SL Baur  <steve@altair.xemacs.org>

	* Makefile: Update to new package interface.

1997-12-24  SL Baur  <steve@altair.xemacs.org>

	* Makefile: Created.
